Package org.freeplane.api

# Enum Class NodeChanged.ChangedElement

java.lang.Object
java.lang.Enum<NodeChanged.ChangedElement>
org.freeplane.api.NodeChanged.ChangedElement

All Implemented Interfaces:
  `Serializable`, `Comparable<NodeChanged.ChangedElement>`, `Constable`

Enclosing class:
  `NodeChanged`

public static enum NodeChanged.ChangedElement extends Enum<NodeChanged.ChangedElement>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ATTRIBUTE`
`DETAILS`
`FORMULA_RESULT`
`ICON`
`NOTE`
`TEXT`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`static NodeChanged.ChangedElement`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NodeChanged.ChangedElement[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TEXT

public static final NodeChanged.ChangedElement TEXT

### DETAILS

public static final NodeChanged.ChangedElement DETAILS

### NOTE

public static final NodeChanged.ChangedElement NOTE

### ICON

public static final NodeChanged.ChangedElement ICON

### ATTRIBUTE

public static final NodeChanged.ChangedElement ATTRIBUTE

### FORMULA_RESULT

public static final NodeChanged.ChangedElement FORMULA_RESULT

### UNKNOWN

public static final NodeChanged.ChangedElement UNKNOWN

## Method Details

### values

public static NodeChanged.ChangedElement[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static NodeChanged.ChangedElement valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null